KNotifyClient::Instance Class Reference

`#include <knotifyclient.h>`

## Public Member Functions

| Instance (KInstance *instance)
| ~Instance ()
bool | useSystemBell () const

## Static Public Member Functions

static KInstance * | current ()
static Instance * | currentInstance ()

## Detailed Description

Makes it possible to use KNotifyClient with a KInstance that is not the application.

Use like this:

KNotifyClient::Instance(myInstance);
KNotifyClient::event("MyEvent");

Enables KNotifyClient to use a different KInstance

Definition at line 96 of file knotifyclient.h.

## Constructor & Destructor Documentation

KNotifyClient::Instance::Instance | ( | KInstance * | instance | ) |

Constructs a KNotifyClient::Instance to make KNotifyClient use the specified KInstance for the event configuration.

Parameters

  instance | the instance for the event configuration

Definition at line 316 of file knotifyclient.cpp.

KNotifyClient::Instance::~Instance | ( |  | ) |

Destructs the KNotifyClient::Instance and resets KNotifyClient to the previously used KInstance.

Definition at line 327 of file knotifyclient.cpp.

## Member Function Documentation

KInstance * KNotifyClient::Instance::current | ( |  | ) |

static

Returns the currently active KInstance.

Returns
  the active KInstance

Definition at line 360 of file knotifyclient.cpp.

KNotifyClient::Instance * KNotifyClient::Instance::currentInstance | ( |  | ) |

static

Returns the current KNotifyClient::Instance (not the KInstance).

Returns
  the active Instance

Definition at line 355 of file knotifyclient.cpp.

bool KNotifyClient::Instance::useSystemBell | ( |  | ) | const

Checks whether the system bell should be used.

Returns
  true if this instance should use the System bell instead of KNotify.

Definition at line 341 of file knotifyclient.cpp.

The documentation for this class was generated from the following files:

- knotifyclient.h
- knotifyclient.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys